/*Hide Title*/
title {
	display: hidden;
}

/* Grid Layout */
.gridContainer {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 20px;
    margin-top: 30px;
}

.Column_2 h1 {
	color: #000;
	text-align: center;
}

/* Link Box Styling */
.linkCard {
	background-color: #fff;
	box-shadow: 5px 5px 10px rgba(0,0,0,0.5);
	padding: 0px 20px 20px 20px;
	border-top: 10px solid #e90802;
    border-radius: 6px;
    display: flex;
    flex-direction: column;
	transition: border 0.3s ease, transform 0.3s ease;
}

.linkCard:hover {
	/*border: 2px solid #e90802;*/
	transform: translateY(-10px);
}

.linkCard h3 {
    margin-top: 15px;      /* Remove top gap */
    margin-bottom: 8px; /* Small gap between title and description */
    line-height: 1.2;     /* This will now actually tighten the text */
}

.linkCard h3 a{
    font-weight: bold;
    color: #000;
    text-decoration: none;
	line-height: 1.2;
	font-size: 1.5rem;
}

.linkCard p {
    font-size: clamp(0.5rem, 0.9vw, 0.9rem);
	color: #333;
    margin: 0;
}

.filters {
	display: grid;
	justify-content: center;
	align-items: center;
	text-align: center;
	grid-template-columns: repeat(auto-fit, minmax(40px, 1fr));
	max-width: 90%;
	margin-left: auto;
	margin-right: auto;
}

/* Controls Styling */
.controls { 
	text-align: center; 
	margin-bottom: 30px; 
}
#searchInput { 
	padding: 10px; 
	width: 90%; 
	max-width: 400px; 
	margin-bottom: 15px; 
	border: 4px solid #757575;
}
.filter-btn { 
	padding: 8px 5px; 
	margin: 3px; 
	cursor: pointer; 
	border: 1px solid #ccc; 
	background: #fff; 
	color: black; 
	transition: border 0.3s ease, transform 0.3s ease; 
}
.filter-btn.active { 
	background: #e90802; 
	color: white; 
	border-color: #e90802; 
	box-shadow: 2px 2px 5px rgba(233, 8, 2, .5);
}

.filter-btn:focus {
    outline: 2px solid #000;
    outline-offset: 2px;
}

.filter-btn:hover {
	border: 1px solid #e90802;
	transform: translateY(-10px);
}

/* CMS Visibility Logic */
.data-source-wrapper {display:none !important;} /* Hide from public */

/* If Modern Campus adds a specific class to the body in Edit Mode, use it here */
/*.edit-mode .data-source-wrapper { display: block; }*/

@media (max-width: 1024px) { .gridContainer { grid-template-columns: repeat(2, 1fr); } }
@media (max-width: 600px) { .gridContainer { grid-template-columns: 1fr; } }
/* Hide the asset when the screen is 768px or narrower */
@media (max-width: 768px) {
    .Column_1 {
        display: none !important;
    }
}